/* --COPYRIGHT--,BSD
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

#ifndef PERIPHERALS_H_
#define PERIPHERALS_H_

#include "signal.h"
#include "solenoidCtrl.h"
#include "define.h"

#define PROTOCOL

#define NRADCCONV NRADCCONVMAX
#define ADC12MEM0 0x0860

#define TIMER_A_PERIOD 1024						// ADC Trigger:1024
#define TIMER_A_DUTY_CYCLE 512					// ADC 10kHz frequency:512
#define TIMER_A1_PERIOD 3750
#define TIMER_B_PERIOD 50						// hold current PWM
#define HI(x) ((x) >> 8)						// extracting high byte
#define LO(x) ((x) & 0xFF)						// extracting low byte

void GPIO_Init(void);
void CS_Init(void);
void ADC_Init(void);
void UART_Init(void);
void UART_send(uint16_t data);
void DMA_Init(void);
void TIMER_A0_Init(void);
void TIMER_A1_Init(void);
void TIMER_B0_Init(void);

#endif /* PERIPHERALS_H_ */
