/* --COPYRIGHT--,BSD
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

#include "solenoidCtrl.h"

void enableDRV(void)
{
	GPIO_setAsOutputPin(GPIO_PORT_P3,GPIO_PIN6);
	PMM_unlockLPM5();
	GPIO_setOutputHighOnPin(GPIO_PORT_P3,GPIO_PIN6);																// PWM_FET high -> drive current
	GPIO_setOutputHighOnPin(GPIO_PORT_P4,GPIO_PIN6);																// LED on
	ADC12_B_startConversion(ADC12_B_BASE, ADC12_B_START_AT_ADC12MEM0, ADC12_B_REPEATED_SINGLECHANNEL);
	Timer_A_startCounter(TIMER_A0_BASE,TIMER_A_UP_MODE);
	Timer_A_startCounter(TIMER_A1_BASE,TIMER_A_UP_MODE);
}

void disableDRV(void)
{
	GPIO_setAsOutputPin(GPIO_PORT_P3,GPIO_PIN6);
	PMM_unlockLPM5();
	GPIO_setOutputLowOnPin(GPIO_PORT_P3,GPIO_PIN6);																	// PWM_FET low
	GPIO_setOutputLowOnPin(GPIO_PORT_P4,GPIO_PIN6);																	// LED off
}
